
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>捕获浏览器关闭、刷新事件不同情况下的处理方法_javascript技巧 / iVAN</title>

    <meta name="description" content="捕获浏览器关闭、刷新事件不同情况下的处理方法_javascript技巧 在做一些关于会员在线的问题时,往往我们要根据览器是否关闭来判断用户是否下线,然后再从session和application中将此用户移除. 由于浏览器是无状态的,在这时候捕捉浏览器关闭会出现两种情况: 1.真正的关闭浏览器 (a.点击关闭按钮 b.右击任务栏关闭 c.按alt+F4关闭) 2.刷新浏览器. 那如何判断区分这两种动作呢? 一. Javascript代码处理方法: 复制代码 代码如下: function window.onbeforeunload() { //用户点击浏览器右上角关闭">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">捕获浏览器关闭、刷新事件不同情况下的处理方法_javascript技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>在做一些关于会员在线的问题时，往往我们要根据览器是否关闭来判断用户是否下线，然后再从session和application中将此用户移除。</p>
<p>由于浏览器是无状态的，在这时候捕捉浏览器关闭会出现两种情况： <br />1.真正的关闭浏览器 (a.点击关闭按钮 b.右击任务栏关闭 c.按alt+F4关闭) <br />2.刷新浏览器。</p>
<p><strong>那如何判断区分这两种动作呢?</strong></p>
<p><strong>一. Javascript代码处理方法：</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>function window.onbeforeunload() <br />{ <br />//用户点击浏览器右上角关闭按钮或是按alt+F4关闭 <br />if(event.clientX&gt;document.body.clientWidth&amp;&amp;event.clientY&lt;0||event.altKey) <br />{ <br />// alert("点关闭按钮"); <br />document.getElementById("hiddenForm:hiddenBtn").click(); <br />// window.event.returnValue="确定要退出本页吗?"; <br />} <br />//用户点击任务栏，右键关闭。s或是按alt+F4关闭 <br />else if(event.clientY &gt; document.body.clientHeight || event.altKey) <br />{ <br />// alert("任务栏右击关闭"); <br />document.getElementById("hiddenForm:hiddenBtn").click(); <br />// window.event.returnValue="确定要退出本页吗?"; <br />} <br />//其他情况为刷新 <br />else <br />{ <br />// alert("刷新页面"); <br />} <br />}</p>
<p>其中 event.clientX 鼠标光标X坐标 <br />document.body.clientWidth 窗体工作区宽度 <br />event.clientY 鼠标光标Y坐标 <br />event.altKey 是否按下alt键 <br /><strong>二. 事件捕捉方法：</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>&lt;body scroll="no" onbeforeunload="return CloseEvent();" onunload="UnLoadEvent()" &gt; <br />&lt;/body&gt; <br />&lt;script language="JavaScript" type="text/javascript"&gt; <br />var DispClose = true; <br />function CloseEvent() <br />{ <br />if (DispClose) <br />{ <br />return "是否离开当前页面?"; <br />} <br />} <br />function UnLoadEvent() <br />{ <br />DispClose = false; <br />//在这里处理关闭页面前的动作 <br />} <br />&lt;/script&gt;</p>
<p>在页面卸载之前引发onbeforeunload事件，如果用户选择“是”即确定卸载页面将引发onunload事件，否则返回页面不做任何操作。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-29 09:57:32</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8f%e8%a7%88%e5%99%a8/" title="浏览器">浏览器</a>, <a href="https://www.iamivan.net/tag/%e5%88%b7%e6%96%b0/" title="刷新">刷新</a>, <a href="https://www.iamivan.net/tag/%e5%85%b3%e9%97%ad/" title="关闭">关闭</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>捕获浏览器关闭、刷新事件不同情况下的处理方法_javascript技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1B10b.html" rel="bookmark">如何设置iframe高度自适应在跨域情况下的可用方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在页面上使用iframe来动态加载页面内容是网页开发中比较常见的方法.在父页面中给定一个不带滚动条的iframe,然后对属性src指定一个可加载的页面,这样当父页面被访问的时候,子页面可以被自动加载.iframe的高度需要根据子页面的实际高度来进行调整.如果iframe的高度小于子页面的实际高度,超出的部分无法显示:相反,如果iframe的高度过高,则页面上会出现大量的空白区域.我们可以通过属性或者CSS来设置iframe的高度,当不确定子页面内容的高度时,也可以通过脚本来进行动态指定.但是如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgEREBz.html" rel="bookmark">JSP防止网页刷新重复提交数据的几种方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本篇文章主要介绍了网页如何防止刷新重复提交与如何防止后退的解决方法,具体如下: 提交后禁用提交按钮(大部分人都是这样做的) 如果客户提交后,按F5刷新怎么办? 使用Session 在提交的页面也就是数据库处理之前: if session(&quot;ok&quot;)=true then response.write &quot;错误,正在提交&quot; response.end end if 数据处理完后,修改session(&quot;ok&quot;)=false. 数据处理成功马上Redirec			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrKYKVp.html" rel="bookmark">捕获浏览器关闭、刷新事件不同情况下</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在做一些关于会员在线的问题时,往往我们要根据览器是否关闭来判断用户是否下线,然后再从session和application中将此用户移除.    由于浏览器是无状态的,在这时候捕捉浏览器关闭会出现两种情况:  1.真正的关闭浏览器 (a.点击关闭按钮 b.右击任务栏关闭 c.按alt+F4关闭)  2.刷新浏览器.    那如何判断区分这两种动作呢?    一. Javascript代码处理方法:   代码如下: function window.onbeforeunload()  {  //用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOl3k9b.html" rel="bookmark">js鼠标单击和双击事件冲突问题的快速解决方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				情况一 如果在一个DOM对象上同时绑定单击(click)和双击(dblclick)事件,当在这个DOM对象上发生双击事件时,第一次点击(click)会 触发一次单击(click)事件,第二次点击(连续的)也会触发双击(dblclick)事件,还是会触发单击(click)事件(IE7与 firefox). 解决方法: &lt;button onclick=&quot;test(1)&quot; ondblclick=&quot;test(2)&quot;&gt;&lt;/button&gt; &lt;scr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmVNYBz.html" rel="bookmark">IE浏览器打印的页眉页脚设置解决方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先说明问题:默认情况下,通过IE的打印对话框,打印出来的内容都有页眉和页脚的. 查看ie的页面设置发现如右图中,页眉页脚.下面先说明&amp;w&amp;bPage&amp;p of &amp;P , &amp;u&amp;b&amp;d的含义 &amp;w - 窗口标题 &amp;u - 页面地址 &amp;d - 短日期格式,如10/12/2006 &amp;D - 长日期格式,如Tursday, October 12, 2006 &amp;t - 12小时制时间 &amp;T - 24小时制时间			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWNKkz.html" rel="bookmark">javascript为按钮注册回车事件（设置默认按钮）的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了javascript为按钮注册回车事件(设置默认按钮)的方法.分享给大家供大家参考.具体如下: 首先不得不说,在JS方面,自己真的是个不折不扣的菜鸟.对于JS以及一些JS框架如JQuery等JS框架,自己也只是处在简单应用的阶段,当然自己也在不断的学习当中,希望将来能跟大家分享更多JS方面的心得.今天先来点开胃的,说一下如何设置一个默认按钮,就是不管焦点在不在按钮上,只要按下回车,就等于触发了按钮的单击事件. 代码非常简单,要完成这个功能,只需几行代码: //为keyListene			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx09WBM.html" rel="bookmark">js简单正则验证汉字英文及下划线的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了js简单正则验证汉字英文及下划线的方法.分享给大家供大家参考,具体如下: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M6GLvXp.html" rel="bookmark">js获取浏览器高度 窗口高度 元素尺寸 偏移属性的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: screen.width screen.height screen.availHeight //获取去除状态栏后的屏幕高度 screen.availWidth //获取去除状态栏后的屏幕高度 一.通过浏览器获得屏幕的尺寸 二.获取浏览器窗口内容的尺寸 //高度 window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight //宽度 window.innerWidth			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQwAyQp.html" rel="bookmark">js捕捉键盘事件和按键键值的方法&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如下所示: &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd&quot;&gt; &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; &lt;head&gt; &lt;meta http-equiv=&quot;Co			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3Y4Jp.html" rel="bookmark" class="title">工作经验不是IT人才唯一素质</a>
					<div>
						从今年的宏观经济形势可以看出,中国IT行业受国际金融危机影响较小.相关数据显示,中国IT产业在2008年的复合增长率是22.4%.有专家表示,国内庞大的内需市场以及国家陆续出台的各种优惠扶植政策,将有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vMNmKPb.html" rel="bookmark" class="title">android byte转图片的问题</a>
					<div>
						问题描述 android byte转图片的问题 ```public class MainActivity extends Activity { private ImageView iv1iv2; @O ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeaE7z.html" rel="bookmark" class="title">自动打开最快镜像站</a>
					<div>
						如果一个网站有多个镜像站的话,使用本文的方法可以使得用户自动跳转到其访问速度最快的那个镜像站上. 直接将下面代码加入到&lt;body&gt;&lt;/body&gt;中&lt;script&gt;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4Ewqb.html" rel="bookmark" class="title">SEOer：我们应该团结起来保护SEO</a>
					<div>
						前几天有幸在YY上参加了速途在线沙龙11期:王通夫唯首次聚首共话SEO的活动,刚刚看到已经有站长或SEO从业者写了听后的感悟.这次王通.夫唯两位SEO界比较权威的大神分析了SEO行业的现状,不容乐观啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7Vo5p.html" rel="bookmark" class="title">SEO新手：购物网站大全优化心得体会总结</a>
					<div>
						从事了3年多的网站开发,最近开始尝试运营自己的网站.因为从事b2c开发的缘故,所以萌生了做个b2c网站导航的念头,正巧也抢注了个好域名,个人感觉域名还不错,正好可拿来做b2c的购物网站大全. 程序是自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLyEeb.html" rel="bookmark" class="title">使用EMP进行建模，第2部分：使用Eclipse的Java Emitter Templates生成代码</a>
					<div>
						Java Emitter Templates(JET)概述 开发人员通常都使用一些工具来生成常用的代码.Eclipse 用户可能对一些标准的工 具非常熟悉,这些工具可以为选定的属性生成 for(;;) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElmAoz.html" rel="bookmark" class="title">JavaScript的RequireJS库入门指南</a>
					<div>
						  这篇文章主要介绍了JavaScript的RequireJS库入门指南,RequireJS库的人气近来攀升很快,需要的朋友可以参考下 简介 如今最常用的JavaScript库之一是RequireJS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKkN1p.html" rel="bookmark" class="title">WPS编辑表格文件后，文件增大了怎么办</a>
					<div>
						        注:更多精彩教程请关注三联电脑教程栏目,三联电脑办公群:189034526欢迎你的加入					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkG2N5p.html" rel="bookmark" class="title">无线路由器配置上网</a>
					<div>
						如今智能手机越来越的人在使用,在家里自然不能少了装有一台无线路由器了,这里我介绍一下如何配置家用路由器,这种路由器都是使用web界面配置的,而且很多的中小企业的路由器也是web界面的,所以配置方法也是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24Wyop.html" rel="bookmark" class="title">JavaScript自动弹出窗口并自动关闭窗口代码</a>
					<div>
						 &lt;HTML&gt; &lt;HEAD&gt; &lt;TITLE&gt;自动离开的窗口&lt;/TITLE&gt; &lt;SCRIPT&gt; &lt;!-- var flyingwin v ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmG3P5b.html" rel="bookmark" class="title">彩云忘记密码怎么办（怎么找回密码）？</a>
					<div>
						  如果您忘记密码,可使用短信密码登录,也可使用找回密码功能.您可在彩云任意客户端的登录页面,点击&quot;找回密码&quot;(或&quot;忘记密码&quot;),按照提示内容操作,即可找回密码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9EA7VM.html" rel="bookmark" class="title">Win8系统如何关闭GUI引导加快开机速度</a>
					<div>
						  电脑开机时间是很多用户比较关注的问题,如果电脑开机时间过长就可以反应出系统存在一定问题,而电脑开机时间速度有很多因素,这边要介绍的是通过关闭GUI引导(系统启动画面)来加快电脑启动时间,下面来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYPLjM.html" rel="bookmark" class="title">QT语音怎么关闭开机启动</a>
					<div>
						  首先打开自己安装好的QT语音,用自己的QQ帐号登录QT语音 在右上的下拉小箭头下选择系统设置 左边的热键设置里,把开机时自己启动的钩去掉,这样就可以了 也可以通过第三方安全软件来关闭启动,比如说打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOa7rRM.html" rel="bookmark" class="title">editplus支持RUBY和运行&lbrack;转&rsqb;</a>
					<div>
						Ruby 真的好用.不讨论日本和中国有多么大的深仇.RUBY比VB简单很多.而且是完全是面向对象编程,学过JAVA,也可以快捷地转向RUBY开发中,尤其是RUBY ON JAIL,很多人都觉得比较好用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvr7nWM.html" rel="bookmark" class="title">横向对比七大深度学习框架</a>
					<div>
						文章讲的是横向对比七大深度学习框架,在深度学习项目开始前,选择一个合适的框架是非常重要的事情.最近,来自数据科学公司 Silicon Valley Data Science 的数据工程师 Matt R ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV9m5b.html" rel="bookmark" class="title">【图解】Latex tex文档转换成 word文档 教程</a>
					<div>
						我们先下载 Tex2Word 工具 http://www.word2tex.com/products/tex2word/dl/?partner=21 安装 解压后安装,使用默认安装路径 安装过程中,点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YKqAM.html" rel="bookmark" class="title">历时24小时的下一代互联网测试开始实施</a>
					<div>
						据国外媒体报道,历时24小时的下一代互联网测试--全球IPv6日(World IPv6 Day)测试--将于明日开始实施,谷歌和Facebook等网络巨头将会参与此次大型测试活动,届时可能会有一小部分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0xJYM.html" rel="bookmark" class="title">无线组网-ZigBee组网 点播 如何 实现一个协调器 向 多个终端 发送数据？？</a>
					<div>
						问题描述 ZigBee组网 点播 如何 实现一个协调器 向 多个终端 发送数据?? 我的想法是 组网后 各终端先都给协调器发送数据,协调器可直接读取每个终端的 短地址(短地址随数据发送过来的) ,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgwK11M.html" rel="bookmark" class="title">智能机器人上演&OpenCurlyDoubleQuote;最强大脑&rdquo;，化身安全助手护航云安全</a>
					<div>
						9月28日,阿里云在北京召开的&quot;云上安全 中国力量&quot;安全发布会上,阿里云自主研发专注于云计算的人工智能机器人--云博士&quot;现身&quot;,解密了机器人协助阿里云安全工程师 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJLQ5p.html" rel="bookmark" class="title">世界头号毒王儿子称父亲曾烧百万美元为女取暖</a>
					<div>
						巴勃罗和妻子维基,摄于上世纪80年代 巴勃罗人称&quot;杀人魔王&quot;.&quot;绑架机器&quot; 世界头号毒王烧200万美元为女取暖 哥伦比亚大毒枭巴勃罗的儿子曝内幕 据英国&lt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkBdZM.html" rel="bookmark" class="title">用过FusionCharts for flex、FusionWidgets的高手来</a>
					<div>
						问题描述 问题很简单,怎么实现动态给图表设置数据,我用FusionWidgets绘制的图表要监测CPU和内存的使用率.怎么实时监控 解决方案 //设置数据Urlfc.FCDataURL='http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xZOAb.html" rel="bookmark" class="title">PHP实现变色验证码实例&lowbar;php技巧</a>
					<div>
						复制代码 代码如下: &lt;?php header(&quot;Content-type: image/png,charset='utf-8'&quot;); $im = imagecreatetr ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0qlWp.html" rel="bookmark" class="title">php实现的通用图片处理类&lowbar;php技巧</a>
					<div>
						本文实例讲述了php实现的通用图片处理类.分享给大家供大家参考.具体如下: 该图片处理函数功能:缩放.剪切.相框.水印.锐化.旋转.翻转.透明度.反色,处理并保存历史记录的思路:当有图片有改动时自动生 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/baBQPXM.html" rel="bookmark" class="title">对象-JAXB可以生成字符串形式的XML么？求大神回答</a>
					<div>
						问题描述 JAXB可以生成字符串形式的XML么?求大神回答 怎么利用JAXB把对象转换成字符串形式的XML,在线等 .... 解决方案 结构 &lt;?xml version=&quot;1.0&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eArqb.html" rel="bookmark" class="title">MFC－消息分派</a>
					<div>
						前言        由于工作需要,这几天学了一点MFC,在AFX里看到很多熟悉的东西,如类型信息,序列化,窗口封装和消息分派.几乎每个界面库都必须提供这些基础服务,但提供的手法却千差万别.MFC大量地 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60W5gz.html" rel="bookmark" class="title">深圳地名网今日开通</a>
					<div>
						本报记者丁荡新 通讯员虞海霞报道 为向社会提供一个标准规范的地名信息查询以及与公众沟通互动的平台,由市规划国土委主办的深圳地名网(http//www.szdm.gov.cn)于今日正式开通运行. 深圳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlL9lp.html" rel="bookmark" class="title">MySQL中的CONCAT函数使用教程&lowbar;Mysql</a>
					<div>
						使用MySQL CONCAT()函数将两个字符串连接起来,形成一个单一的字符串.试试下面的例子: mysql&gt; SELECT CONCAT('FIRST ', 'SECOND'); +----- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0dB7p.html" rel="bookmark" class="title">jquery实现简单文字提示效果&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery实现简单文字提示效果.分享给大家供大家参考,具体如下: &lt;html xmlns=&quot;http://www.w3.org/1999/xhtml&quot;&gt; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV781nb.html" rel="bookmark" class="title">&sol;&sol;java去掉字符串两端的空格；</a>
					<div>
						问题描述 packagemyTest.string;//去掉字符串两端的空格:publicclasstest1_subString{publicstaticvoidmain(String[]args) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwyLgEM.html" rel="bookmark" class="title">VC使用双缓冲避免绘图闪烁的正确使用方法【转】</a>
					<div>
						使用内存DC绘图,然后实现双缓冲,避免绘图闪烁,这个小技术简单但很有效.但是仍然有很多人说使用了双缓冲,图片却仍然有闪烁,分析了几个这样的例子,发现 其实不是双缓冲的技术问题,而是使用者没有正确理解和 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
